#pragma once
#include "Entity.h"
#define CS_MOVINGPLATFORM_LR_CREATENAME L"CS_movingplatform_lr"
//移动平台(水平的）
class CS_MovingPlatform_LR :
    public Entity
{
public:
    CS_MovingPlatform_LR();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int act_wait = 0;
    int direct = 0;
};

std::shared_ptr<Entity> CreateCS_MovingPlatform_LR();